BLK_ADD_TRACE_RQ_REM(9)

NAME
blk_add_trace_rq_remap - Add a trace for a request-remap operation

SYNOPSIS

void blk_add_trace_rq_remap(void * ignore, struct request_queue * q, struct request * rq, dev_t dev, sector_t from);

ARGUMENTS

ignore
    trace callback data parameter (not used)

q
    queue the io is for

rq
    the source request

dev
    target device

from
    source sector

DESCRIPTION

Device mapper remaps request to other devices. Add a trace for that action.

COPYRIGHT